Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.io
Class RuntimeIOException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  edu.stanford.nlp.io.RuntimeIOException

All Implemented Interfaces:
  Serializable

    public class RuntimeIOException

extends RuntimeException

An unchecked version of `IOException`. Thrown by `Tokenizer` implementing classes, among other things.

Author:
  Roger Levy, Christopher Manning
See Also:
  Serialized Form

Constructor Summary
`RuntimeIOException()` Creates a new exception.
`RuntimeIOException(String message)` Creates a new exception with a message.
`RuntimeIOException(String message, Throwable cause)` Creates a new exception with a message and an embedded cause.
`RuntimeIOException(Throwable cause)` Creates a new exception with an embedded cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RuntimeIOException

    public RuntimeIOException()

  Creates a new exception.

### RuntimeIOException

    public RuntimeIOException(String message)

  Creates a new exception with a message.

  Parameters:
    `message` - the message for the exception

### RuntimeIOException

    public RuntimeIOException(Throwable cause)

  Creates a new exception with an embedded cause.

  Parameters:
    `cause` - The cause for the exception

### RuntimeIOException

    public RuntimeIOException(String message,
                              Throwable cause)

  Creates a new exception with a message and an embedded cause.

  Parameters:
    `message` - the message for the exception
    `cause` - The cause for the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group